Galya Docs
API referencesearch

Search entities by relevance and taste

POST
/search

Searches the namespace for entities ranked by relevance/taste relative to the taste profile of a specified entity. Optionally accepts unindexed content objects as additional real-time candidates.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Query Parameters

relative_to_entity_id*string

The entity whose taste profile is used to rank results.

in_terms_of_entity_type*string

The entity type to search and rank.

Value in"content" | "place" | "brand" | "user" | "website" | "file"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/search?relative_to_entity_id=string&in_terms_of_entity_type=content" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{
  "results": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "url": "http://example.com",
      "ref": "string",
      "type": "content",
      "linked_content": [
        {
          "id": "string",
          "title": "string",
          "description": "string",
          "url": "http://example.com",
          "content": "string",
          "type": "image",
          "ref": "string"
        }
      ],
      "linked_entities": [
        {
          "id": "string",
          "name": "string",
          "description": "string",
          "url": "http://example.com",
          "ref": "string",
          "type": "content",
          "linked_content": [
            {
              "id": "string",
              "title": "string",
              "description": "string",
              "url": "http://example.com",
              "content": "string",
              "type": "image",
              "ref": "string"
            }
          ],
          "linked_entities": []
        }
      ]
    }
  ]
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}